Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHousePackageBase.Builder

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageBase.Builder

Enclosing class:
  `SmartHousePackageBase`

public static class SmartHousePackageBase.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SmartHousePackageBase`
  `build()`
  `SmartHousePackageBase.Builder`
  `setComment(String comment)`
  `SmartHousePackageBase.Builder`
  `setDurationUnitCode(int durationUnitCode)`
  `SmartHousePackageBase.Builder`
  `setDurationValue(int durationValue)`
  `SmartHousePackageBase.Builder`
  `setId(int id)`
  `SmartHousePackageBase.Builder`
  `setNpayModuleId(int npayModuleId)`
  `SmartHousePackageBase.Builder`
  `setNpayServiceId(int npayServiceId)`
  `SmartHousePackageBase.Builder`
  `setOptionNames(String optionNames)`
  `SmartHousePackageBase.Builder`
  `setPeriod(Period period)`
  `SmartHousePackageBase.Builder`
  `setTariffMode(SmartHouseTariffMode tariffMode)`
  `SmartHousePackageBase.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public SmartHousePackageBase.Builder setId(int id)

  - ### setTitle

    public SmartHousePackageBase.Builder setTitle(String title)

  - ### setComment

    public SmartHousePackageBase.Builder setComment(String comment)

  - ### setPeriod

    public SmartHousePackageBase.Builder setPeriod(Period period)

  - ### setOptionNames

    public SmartHousePackageBase.Builder setOptionNames(String optionNames)

  - ### setDurationValue

    public SmartHousePackageBase.Builder setDurationValue(int durationValue)

  - ### setDurationUnitCode

    public SmartHousePackageBase.Builder setDurationUnitCode(int durationUnitCode)

  - ### setTariffMode

    public SmartHousePackageBase.Builder setTariffMode(SmartHouseTariffMode tariffMode)

  - ### setNpayModuleId

    public SmartHousePackageBase.Builder setNpayModuleId(int npayModuleId)

  - ### setNpayServiceId

    public SmartHousePackageBase.Builder setNpayServiceId(int npayServiceId)

  - ### build

    public SmartHousePackageBase build()